Browse FAQs

Can the 6000-021 Cybercalc software be run on Pentium based PCs?

Published date: 19 November 2020

Issue
Can the 6000-021 Cybercalc software be run on Pentium based PCs?

Product line
Cybercalc

Environment
6000-021

Resolution
The 6000-021 Cybercalc software is not qualified for usage on Pentium based PCs, however it has been used previously with success. You may need to run SLODOS, CPUKILLER, or other freeware to slow the PC down.


Was this helpful?

What can we do to improve the information ?

Can't find what you are looking for?

Reach out to our customer care team to receive information on technical support, assistance for complaints and more.